default: &default
  adapter: mysql2
  encoding: utf8mb4
  pool: <%= ENV.fetch('DATABASE_MAX_POOL', 5) %>
  username: <%= ENV.fetch('DATABASE_USERNAME', 'root') %>
  password: <%= ENV.fetch('DATABASE_PASSWORD', 'password') %>
  host: <%= ENV.fetch('DATABASE_HOST', 'localhost') %>
  port: <%= ENV.fetch('DATABASE_PORT', '3306') %>
  variables:
    sql_mode: <%= ENV.fetch('DATABASE_SQL_MODE', 'TRADITIONAL') %>

development:
  <<: *default
  database: <%= ENV.fetch('DATABASE_NAME', 'vuong_khai_ha_source_base_development') %>

test:
  <<: *default
  database: <%= ENV.fetch('DATABASE_NAME', 'vuong_khai_ha_source_base_test') %>

production:
  <<: *default
  database: <%= ENV.fetch('DATABASE_NAME', 'vuong_khai_ha_source_base_production') %>
